#!/usr/bin/env bash

# spamc.bash logging script for Rocksolid Light | 3883@sugar.bug

<< INSTRUCTIONS

This is a bash pipe that logs spamc data to file while rslight is running.

Place this script in /etc/rslight/spamc.bash and give it executable permissions.

Make sure the rslight cron and NNTP server are not running.

In rslight.inc.php change the 'spamc' path to: /etc/rslight/spamc.bash

Restart the rslight cron and NNTP server. The interactions between rslight and
spamc will be logged to the file /etc/rslight/spamc.log.

The script may or may not interfere with the disposition of spam but it will
accurately log the data being passed between spamc and rslight. No testing has
been done to see if it causes any unforseen change in results. 

INSTRUCTIONS

fyle="/etc/rslight/spamc.log"

cat | tee -a "$fyle" | spamc | tee -a "$fyle"

echo "- - - - - - - - - [END RECORD] - - - - - - - - -" >> "$fyle"

